terraform {
  required_providers {
    ovh = {
      source  = "ovh/ovh"
      version = "~> 0.45.0"
    }
  }
  required_version = ">= 1.8"
}

provider "vault" {
  address = "https://vault.tips-of-mine.com"
  skip_child_token = true

  auth_login {
    path = "auth/approle/login"

    parameters = {
      role_id = "<your-role_id>"
      secret_id = "<your-secret_id>"
    }
  }
}

provider "ovh" {
  endpoint = "ovh-eu"
  application_key    = "d886751f57e35e31"
  application_secret = "6f1eb05eff952f60fb8300cdbc588c42"
  consumer_key       = "1a9e36103fd9ebb262449dfd573ce20d"
}